Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::pdf::CertVerifyResult Class Reference

Inherits Object.

## Public Types
enum | CertStatus { e_CertStatusValid = 0, e_CertStatusRevoked = 1, e_CertStatusExpired = 2, e_CertStatusUnknown = 3 }
| Enumeration for certificate status. More...
enum | ResponseInfoLocation { e_LocationNotSet = 0, e_LocationDSS = 1, e_LocationSignature = 2, e_LocationOnline = 3 }
| Enumeration for response information location. More...
enum | RevocationReason { e_ReasonNoStatus = -1, e_ReasonUnspecified = 0, e_ReasonKeyCompromise = 1, e_ReasonCACompromise = 2, e_ReasonAffiliationChanged = 3, e_ReasonSuperseded = 4, e_ReasonCessationOfOperation = 5, e_ReasonCertificateHold = 6, e_ReasonRemoveFromCRL = 7, e_ReasonPrivilegeWithDrawn = 8, e_ReasonAACompromise = 9 }
| Enumeration for revocation reason for a certificate. More...

## Public Member Functions
| CertVerifyResult ()
| Constructor.
| CertVerifyResult (const CertVerifyResult &other)
| Constructor, with another certificate verify result object. More...
| CertVerifyResult (const String &cert, bool is_ca, bool is_trusted, const Response &response, const TimeRange &response_effect_time_range, const DateTime &revoke_time, CertStatus cert_status, RevocationReason reason, const DateTime &cert_check_time, bool exist_signature_vri_creation_time, const DateTime &signature_vri_creation_time, bool exist_response_signature_vri_creation_time, const DateTime &response_signature_vri_creation_time, ResponseInfoLocation response_info_location)
| Constructor, with parameters. More...
| ~CertVerifyResult ()
| Destructor.
bool | operator!= (const CertVerifyResult &other) const
| Not equal operator. More...
CertVerifyResult & | operator= (const CertVerifyResult &other)
| Assign operator. More...
bool | operator== (const CertVerifyResult &other) const
| Equal operator. More...
void | Set (const String &cert, bool is_ca, bool is_trusted, const Response &response, const TimeRange &response_effect_time_range, const DateTime &revoke_time, CertStatus cert_status, RevocationReason reason, const DateTime &cert_check_time, bool exist_signature_vri_creation_time, const DateTime &signature_vri_creation_time, bool exist_response_signature_vri_creation_time, const DateTime &response_signature_vri_creation_time, ResponseInfoLocation response_info_location)
| Set value. More...

## Public Attributes
String | cert
| A certificate contnet.
DateTime | cert_check_time
| The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
CertStatus | cert_status
| Certificate status. Please refer to values starting from CertVerifyResult::e_CertStatusValid and this should be one of these values.
bool | exist_response_signature_vri_creation_time
| Indicate if creation time of response signature's VRI exists.
bool | exist_signature_vri_creation_time
| Indicate if creation time of siganture's VRI exists.
bool | is_ca
| Indicate if the certificate is a CA certificate.
bool | is_trusted
| Indicate if the certificate is truscted by user.
RevocationReason | reason
| Revocation reason of the certificate. Please refer to values starting from CertVerifyResult::e_ReasonNoStatus and this should be one of these values.
Response | response
| A response for the certificate.
TimeRange | response_effect_time_range
| The time range when the response takes effect.
ResponseInfoLocation | response_info_location
| Response information (as revocation information) location where certificate response can be found. Please refer to values starting from CertVerifyResult::e_LocationNotSet and this should be one of these values.
DateTime | response_signature_vri_creation_time
| Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
DateTime | revoke_time
| Revoked time got from the response.
DateTime | signature_vri_creation_time
| Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.

## Detailed Description

This class represents the verify result for a certificate.

## Member Enumeration Documentation

## ◆ CertStatus

enum foxit::pdf::CertVerifyResult::CertStatus

Enumeration for certificate status.

Values of this enumeration should be used alone.

Enumerator
e_CertStatusValid | This means certificate is valid.
e_CertStatusRevoked | This means certificate is revoked.
e_CertStatusExpired | This means certificate is expired.
e_CertStatusUnknown | This means certificate status is unknown.

## ◆ ResponseInfoLocation

enum foxit::pdf::CertVerifyResult::ResponseInfoLocation

Enumeration for response information location.

Values of this enumeration should be used alone.

Enumerator
e_LocationNotSet | Location is not set.
e_LocationDSS | Response information is found in DSS dictionary.
e_LocationSignature | Response information is found in signature content.
e_LocationOnline | Response information is got by online request.

## ◆ RevocationReason

enum foxit::pdf::CertVerifyResult::RevocationReason

Enumeration for revocation reason for a certificate.

Values of this enumeration should be used alone.

Enumerator
e_ReasonNoStatus | Revocatoin reason: ceritifcate has no status.
e_ReasonUnspecified | Revocatoin reason: unspecified reason.
e_ReasonKeyCompromise | Revocatoin reason: key compromise.
e_ReasonCACompromise | Revocatoin reason: CA compromise.
e_ReasonAffiliationChanged | Revocatoin reason: affiliation changed.
e_ReasonSuperseded | Revocatoin reason: superseded.
e_ReasonCessationOfOperation | Revocatoin reason: cessation of operation.
e_ReasonCertificateHold | Revocatoin reason: certificate hold.
e_ReasonRemoveFromCRL | Revocatoin reason: remove from CRL.
e_ReasonPrivilegeWithDrawn | Revocatoin reason: privilege with drawn.
e_ReasonAACompromise | Revocatoin reason: AA compromise.

## Constructor & Destructor Documentation

## ◆ CertVerifyResult() [1/2]

foxit::pdf::CertVerifyResult::CertVerifyResult | ( | const String & | cert,
|  | bool | is_ca,
|  | bool | is_trusted,
|  | const Response & | response,
|  | const TimeRange & | response_effect_time_range,
|  | const DateTime & | revoke_time,
|  | CertStatus | cert_status,
|  | RevocationReason | reason,
|  | const DateTime & | cert_check_time,
|  | bool | exist_signature_vri_creation_time,
|  | const DateTime & | signature_vri_creation_time,
|  | bool | exist_response_signature_vri_creation_time,
|  | const DateTime & | response_signature_vri_creation_time,
|  | ResponseInfoLocation | response_info_location
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | cert | A certificate contnet.
  [in] | is_ca | Indicate if the certificate is a CA certificate.
  [in] | is_trusted | Indicate if the certificate is trusted by user.
  [in] | response | A response for the certificate.
  [in] | response_effect_time_range | The time range when the response takes effect.
  [in] | revoke_time | Revoked time got from the response.
  [in] | cert_status | Certificate status. Please refer to values starting from CertVerifyResult::e_CertStatusValid and this should be one of these values.
  [in] | reason | Revocation reason of the certificate. Please refer to values starting from CertVerifyResult::e_ReasonNoStatus and this should be one of these values.
  [in] | cert_check_time | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_signature_vri_creation_time | Indicate if creation time of siganture's VRI exists.
  [in] | signature_vri_creation_time | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_response_signature_vri_creation_time | Indicate if creation time of response signature's VRI exists.
  [in] | response_signature_vri_creation_time | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | response_info_location | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from CertVerifyResult::e_LocationNotSet and this should be one of these values.

## ◆ CertVerifyResult() [2/2]

foxit::pdf::CertVerifyResult::CertVerifyResult | ( | const CertVerifyResult & | other | ) |
| inline

Constructor, with another certificate verify result object.

Parameters

  [in] | other | Another response object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::CertVerifyResult::operator!= | ( | const CertVerifyResult & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another certificate verify result object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

CertVerifyResult& foxit::pdf::CertVerifyResult::operator= | ( | const CertVerifyResult & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another certificate verify result object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::CertVerifyResult::operator== | ( | const CertVerifyResult & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another certificate verify result object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::CertVerifyResult::Set | ( | const String & | cert,
|  | bool | is_ca,
|  | bool | is_trusted,
|  | const Response & | response,
|  | const TimeRange & | response_effect_time_range,
|  | const DateTime & | revoke_time,
|  | CertStatus | cert_status,
|  | RevocationReason | reason,
|  | const DateTime & | cert_check_time,
|  | bool | exist_signature_vri_creation_time,
|  | const DateTime & | signature_vri_creation_time,
|  | bool | exist_response_signature_vri_creation_time,
|  | const DateTime & | response_signature_vri_creation_time,
|  | ResponseInfoLocation | response_info_location
| ) |  |
| inline

Set value.

Parameters

  [in] | cert | A certificate contnet.
  [in] | is_ca | Indicate if the certificate is a CA certificate.
  [in] | is_trusted | Indicate if the certificate is trusted by user.
  [in] | response | A response for the certificate.
  [in] | response_effect_time_range | The time range when the response takes effect.
  [in] | revoke_time | Revoked time got from the response.
  [in] | cert_status | Certificate status. Please refer to values starting from CertVerifyResult::e_CertStatusValid and this should be one of these values.
  [in] | reason | Revocation reason of the certificate. Please refer to values starting from CertVerifyResult::e_ReasonNoStatus and this should be one of these values.
  [in] | cert_check_time | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_signature_vri_creation_time | Indicate if creation time of siganture's VRI exists.
  [in] | signature_vri_creation_time | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_response_signature_vri_creation_time | Indicate if creation time of response signature's VRI exists.
  [in] | response_signature_vri_creation_time | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | response_info_location | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from CertVerifyResult::e_LocationNotSet and this should be one of these values.

Returns
  None.